List statements v3

List account statements. For more information about statements, refer to Understanding statements.

The filter parameters have the following order of precedence:

  1. startFromCurrentCycle
  2. presentToFront
  3. presentToPast

That is, if startFromCurrentCycle is true, then presentToFront and presentToPast are ignored. If startFromCurrentCycle is false (or not set), and presentToFront is true, then presentToPast is ignored.

Note: This endpoint requires an account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.

Path Params
int64
required
≥ 1

Account ID

Query Params
int64

Statement ID

int32
Defaults to 1

Cycle to start statements list. Only used when startFromCurrentCycle is true.

boolean
Defaults to false

If startFromCurrentCycle is true and startCycle is not set, the request lists all cycles starting from the current cycle. For example, if the current cycle is cycle 10, the endpoint returns the cycles in this order: 10, 9, 8, 7, 6, 5, 4, 3, 2, 1.

If startFromCurrentCycle is true and startCycle is set, the request lists all cycles starting from startCycle. For example, if the current cycle is cycle 10, and startCycle is 5, the endpoint returns the cycles in this order: 5, 4, 3, 2, 1.

boolean
Defaults to false

List all statements starting from the current cycle? Note: This field is ignored if startFromCurrentCycle is set to true.

boolean
Defaults to false

Exclude future statements? If true, the endpoint returns only the current cycle and all previous cycles. Note: This field is ignored if startFromCurrentCycle or presentToFront are set to true.

string

Beginning due date. Don't return statements with a due date earlier than this.

If beginDueDate is provided, endDueDate must also be provided.

string

Ending due date. Don't return statements with a due date later than this.

If endDueDate is provided, beginDueDate must also be provided.

int32

Maximum number of closed statements to return. For example, if a customer has 20 past statements, and maxClosedCycles = 5, the endpoint only returns the last 5 closed statements.

int32
Defaults to 1

Page number

int32

Items per page. Default is 10.

Responses

Language
Credentials
Bearer
Account JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json